%define anolis_release 3
%define __cmake_in_source_build 1

Name:           libcomps
Version:        0.1.19
Release:        %{anolis_release}%{?dist}
Summary:        Comps XML file manipulation library
License:        GPLv2+
URL:            https://github.com/rpm-software-management/libcomps
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz

BuildRequires:  gcc gcc-c++ cmake
BuildRequires:  libxml2-devel check-devel expat-devel zlib-devel
BuildRequires:  python3-setuptools

%description
Libcomps is alternative for yum.comps library. It's written in pure C as library with Python bindings.


%package devel
Summary:        Development files for libcomps library
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for libcomps library.

%package doc
Summary:        Documentation files for libcomps library
Requires:       %{name} = %{version}-%{release}
BuildRequires:  doxygen
BuildArch:      noarch

%description doc
Documentation files for libcomps library.


%package -n python3-%{name}
Summary:        Python 3 bindings for libcomps library
BuildRequires:  python3-devel
BuildRequires:  make
%{?python_provide:%python_provide python3-%{name}}
Requires:       %{name} = %{version}-%{release}
Obsoletes:      platform-python-%{name} < %{version}-%{release}

%description -n python3-%{name}
Python3 bindings for libcomps library.

%package -n python-%{name}-doc
Summary:        Documentation files for python bindings libcomps library
Requires:       %{name} = %{version}-%{release}
BuildRequires:  python3-sphinx
BuildArch:      noarch

%description -n python-%{name}-doc
Documentation files for python bindings libcomps library.


%prep
%autosetup -p1 -n %{name}-%{version}
mkdir -p build-py3
mkdir -p build-doc

%build
pushd build-py3
  %cmake ../libcomps/
  %make_build
popd

pushd build-doc
  %cmake ../libcomps/
  make %{?_smp_mflags} docs
  make %{?_smp_mflags} pydocs
popd

%install
pushd build-py3
  %make_install
popd
%generate_compatibility_deps

%check
pushd build-py3
  make test
  make pytest
popd


%files
%dir %{abidir}
%license COPYING
%doc README.md
%{_libdir}/libcomps.so.*
%{abidir}/libcomps.dump
%{abidir}/_libpycomps.dump

%files devel
%{_includedir}/libcomps/
%{_libdir}/libcomps.so
%{_libdir}/pkgconfig/libcomps.pc

%files doc
%doc build-doc/docs/libcomps-doc/html

%files -n python-%{name}-doc
%doc build-doc/src/python/docs/html

%files -n python3-%{name}
%{python3_sitearch}/libcomps/
%{python3_sitearch}/libcomps-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Mar 12 2024 Bo Ren <rb01097748@alibaba-inc.com> - 0.1.19-3
- Rebuild with python3.11
- Add BuildRequires python3-setuptools

* Mon Apr 10 2023 chen_yu_ao <m15927509890@163.com> - 0.1.19-2
- change spec file format

* Thu Feb 16 2023 chen_yu_ao <m15927509890@163.com> - 0.1.19-1
- update version to 0.1.19

* Tue Oct 25 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.1.18-2
- optimise spec file

* Thu Mar 10 2022 Mingyue Zhao <wb-zmy745940@alibaba-inc.com> - 0.1.18-1
- Init for Anolis OS 23
